Index: branches/2017/dev_r7881_HPC09_ZDF/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- branches/2017/dev_r7881_HPC09_ZDF/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 7899)
+++ branches/2017/dev_r7881_HPC09_ZDF/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 7954)
@@ -8,19 +8,20 @@
 #if defined key_top
    !!----------------------------------------------------------------------
-   !!   trc_stp      : passive tracer system time-stepping
-   !!----------------------------------------------------------------------
-   USE oce_trc          ! ocean dynamics and active tracers variables
+   !!   trc_stp       : passive tracer system time-stepping
+   !!----------------------------------------------------------------------
+   USE oce_trc        ! ocean dynamics and active tracers variables
    USE sbc_oce
    USE trc
-   USE trctrp           ! passive tracers transport
-   USE trcsms           ! passive tracers sources and sinks
+   USE trctrp         ! passive tracers transport
+   USE trcsms         ! passive tracers sources and sinks
    USE trcwri
    USE trcrst
+   USE trcsub         !
    USE trdtrc_oce
    USE trdmxl_trc
-   USE prtctl_trc       ! Print control for debbuging
-   USE iom
-   USE in_out_manager
-   USE trcsub
+   !
+   USE prtctl_trc     ! Print control for debbuging
+   USE iom            !
+   USE in_out_manager !
 
    IMPLICIT NONE
@@ -29,9 +30,9 @@
    PUBLIC   trc_stp    ! called by step
 
-   REAL(wp), DIMENSION(:,:,:), SAVE, ALLOCATABLE ::   qsr_arr ! save qsr during TOP time-step
-   REAL(wp) :: rdt_sampl
-   INTEGER  :: nb_rec_per_day, ktdcy
-   REAL(wp) :: rsecfst, rseclast
-   LOGICAL  :: llnew
+   LOGICAL  ::   llnew                   ! ???
+   REAL(wp) ::   rdt_sampl               ! ???
+   INTEGER  ::   nb_rec_per_day, ktdcy   ! ???
+   REAL(wp) ::   rsecfst, rseclast       ! ???
+   REAL(wp), DIMENSION(:,:,:), SAVE, ALLOCATABLE ::   qsr_arr   ! save qsr during TOP time-step
 
    !!----------------------------------------------------------------------
@@ -46,15 +47,14 @@
       !!                     ***  ROUTINE trc_stp  ***
       !!                      
-      !! ** Purpose : Time loop of opa for passive tracer
+      !! ** Purpose :   Time loop of opa for passive tracer
       !! 
-      !! ** Method  : 
-      !!              Compute the passive tracers trends 
-      !!              Update the passive tracers
+      !! ** Method  :   Compute the passive tracers trends 
+      !!                Update the passive tracers
       !!-------------------------------------------------------------------
-      INTEGER, INTENT( in ) ::  kt      ! ocean time-step index
-      INTEGER               ::  jk, jn  ! dummy loop indices
-      REAL(wp)              ::  ztrai
-      CHARACTER (len=25)    ::  charout 
-
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
+      !
+      INTEGER ::   jk, jn   ! dummy loop indices
+      REAL(wp)::   ztrai    ! local scalar
+      CHARACTER (len=25) ::   charout   !
       !!-------------------------------------------------------------------
       !
@@ -115,4 +115,5 @@
       !
    END SUBROUTINE trc_stp
+
 
    SUBROUTINE trc_mean_qsr( kt )
@@ -128,10 +129,12 @@
       !!              In coupled mode, the sampling is done at every coupling frequency 
       !!----------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kt
-      INTEGER  :: jn
-      REAL(wp) :: zkt, zrec
-      CHARACTER(len=1)               ::   cl1                      ! 1 character
-      CHARACTER(len=2)               ::   cl2                      ! 2 characters
-
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
+      !
+      INTEGER  ::   jn   ! dummy loop indices
+      REAL(wp) ::   zkt, zrec     ! local scalars
+      CHARACTER(len=1) ::   cl1   ! 1 character
+      CHARACTER(len=2) ::   cl2   ! 2 characters
+      !!----------------------------------------------------------------------
+      !
       IF( kt == nittrc000 ) THEN
          IF( ln_cpl )  THEN  
@@ -143,5 +146,5 @@
          ENDIF
          !
-         IF( lwp ) THEN
+         IF(lwp) THEN
             WRITE(numout,*) 
             WRITE(numout,*) ' Sampling frequency dt = ', rdt_sampl, 's','   Number of sampling per day  nrec = ', nb_rec_per_day
@@ -171,5 +174,5 @@
                     CALL iom_get( numrtr, jpdom_autoglo, 'qsr_arr_'//cl2, qsr_arr(:,:,jn) )   !  A mean of qsr
                   ENDIF
-              ENDDO
+              END DO
             ELSE
                DO jn = 1, nb_rec_per_day
@@ -184,5 +187,5 @@
             DO jn = 1, nb_rec_per_day
                qsr_arr(:,:,jn) = qsr_mean(:,:)
-            ENDDO
+            END DO
          ENDIF
          !
@@ -220,5 +223,5 @@
                CALL iom_rstput( kt, nitrst, numrtw, 'qsr_arr_'//cl2, qsr_arr(:,:,jn) )
              ENDIF
-         ENDDO
+         END DO
          CALL iom_rstput( kt, nitrst, numrtw, 'qsr_mean', qsr_mean(:,:) )
       ENDIF
